QueryFirewallRuleTemplate
QueryFirewallRuleTemplate
/zstack/v1/vpcfirewalls/rules/templates/zstack/v1/vpcfirewalls/rules/templates/{uuid}Operation ID
QueryFirewallRuleTemplateSince
4.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
Query Parameters
qStringQuery conditions.
Responses
200 OKOn success, this API returns the following response structure.
errorErrorCodeRequiredThe error code. If not null, the operation fails, or vice versa. For more information, see error
codeStringRequiredThe error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.
descriptionStringRequiredThe brief description of the error.
detailsStringRequiredThe details about the error.
elaborationStringRequiredThe reserved field. Default value: null.
opaqueLinkedHashMapRequiredThe reserved field. Default value: null.
causeErrorCodeRequiredThe root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.
inventoryListRequiredSee inventories
nameStringRequiredThe name of the template.
destPortStringRequiredThe dest port.
sourcePortStringRequiredThe source port.
sourceIpStringRequiredThe source IP.
destIpStringRequiredThe dest IP.
allowStatesStringRequiredWhether states is enabled.
tcpFlagStringRequiredThe tcp flag.
icmpTypeNameStringRequiredThe icmp type name.
ruleNumberintRequiredThe number of rule.
enableLogbooleanRequiredWhether log is enabled.
isDefaultbooleanRequiredWhether the resource is default.
descriptionStringRequiredThe detailed description of the template.
createDateTimestampRequiredThe time when the template was created.
lastOpDateTimestampRequiredThe time when the rule template was last modified.
accountUuidStringRequiredThe account UUID.
uuidStringRequiredThe UUID of the template.
actionActionTypeRequiredSee action
protocolProtocolTypeRequiredSee protocol
stateFirewallRuleStateRequiredSee state
dropActionTypeRequiredThe drop.
rejectActionTypeRequiredThe reject.
acceptActionTypeRequiredThe accept.
tcp_udpProtocolTypeRequiredThe tcp udp.
allProtocolTypeRequiredThe all.
ahProtocolTypeRequiredThe ah.
ax.25ProtocolTypeRequiredThe ax 25.
dccpProtocolTypeRequiredThe dccp.
ddpProtocolTypeRequiredThe ddp.
egpProtocolTypeRequiredThe egp.
eigrpProtocolTypeRequiredThe eigrp.
encapProtocolTypeRequiredThe encap.
espProtocolTypeRequiredThe esp.
etheripProtocolTypeRequiredThe etherip.
fcProtocolTypeRequiredThe fc.
ggpProtocolTypeRequiredThe ggp.
greProtocolTypeRequiredThe gre.
hipProtocolTypeRequiredThe hip.
hmpProtocolTypeRequiredThe hmp.
icmpProtocolTypeRequiredThe icmp.
ipdr-cmtpProtocolTypeRequiredThe ipdr cmtp.
idprProtocolTypeRequiredThe idpr.
igmpProtocolTypeRequiredThe igmp.
igpProtocolTypeRequiredThe igp.
ipProtocolTypeRequiredThe IP address.
ipcompProtocolTypeRequiredThe ipcomp.
ipencapProtocolTypeRequiredThe ipencap.
ipipProtocolTypeRequiredThe ipip.
isisProtocolTypeRequiredThe isis.
iso-tp4ProtocolTypeRequiredThe ISO tp 4.
l2tpProtocolTypeRequiredThe L2 tp.
manetProtocolTypeRequiredThe manet.
pls-in-ipProtocolTypeRequiredThe pls in IP.
ospfProtocolTypeRequiredThe ospf.
pimProtocolTypeRequiredThe pim.
pupProtocolTypeRequiredThe pup.
rdpProtocolTypeRequiredThe rdp.
rohcProtocolTypeRequiredThe rohc.
rspfProtocolTypeRequiredThe rspf.
rsvpProtocolTypeRequiredThe rsvp.
sctpProtocolTypeRequiredThe sctp.
skipProtocolTypeRequiredThe skip.
stProtocolTypeRequiredThe st.
tcpProtocolTypeRequiredThe tcp.
udpProtocolTypeRequiredThe udp.
udpliteProtocolTypeRequiredThe udplite.
vmtpProtocolTypeRequiredThe vmtp.
vrrpProtocolTypeRequiredThe vrrp.
wespProtocolTypeRequiredThe wesp.
xns-idpProtocolTypeRequiredThe xns idp.
xtpProtocolTypeRequiredThe xtp.
disableFirewallRuleStateRequiredWhether the feature is disabled.
enableFirewallRuleStateRequiredWhether the feature is enabled.
Change History
View all change historyChange Time
AddedResponse fields accept, accountUuid, action...View API
